Subject: bug#11566: 24.0.97; `read-from-minibuffer': focus to standalone minibuffer frame?

From: Eli Zaretskii <[email-masked]>
Date: Tue, 29 May 2012 22:47:21 +0300

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>, <[email-masked]>
> Date: Tue, 29 May 2012 12:15:51 -0700
> 
> > > In something like `select-frame-set-input-focus', my 
> > > interpretation was that frame selection was related to the
> > > border highlighting and setting input focus
> > > was related to receiving keyboard input.  AFAIK, 
> > > `select-frame' does the former, but `select-frame-set-input-focus'
> > > is needed to get the latter.
> > 
> > On Windows, at least with the default setup, selecting a frame also
> > grabs focus.  So these two functions do the same.
> 
> No, definitely not with my (non-default) setup.  Selecting a frame does not give
> it the input focus.

Not even in "emacs -Q"?  IOW, is this an Emacs setup issue, or a
Windows setup issue?

> Hence my need to call `select-frame-set-input-focus' in a few places.  And, I
> would guess, hence the existence of two different functions: `select-frame' and
> `s-f-s-i-f'.

My guess is that they exist because on X the situation is quite
different: X defaults (or at least used to) to "pointer to focus", not
"click to focus".

> I'm no expert on any of this, obviously.

Unfortunately, neither am I.  I just read a bit about this for the
last few days, because apparently no one else wanted to work on bug
#11513.